Sprite Class Reference

`#include <Sprite.h>`

List of all members.

## Public Member Functions

| Sprite (string filename)
virtual | ~Sprite (void)
virtual void | Render (void)
virtual void | Rotate (GLint degrees)
GLint | GetAngle (void) const
void | SetAngle (GLint angle)
void | SetX (GLdouble x)
void | SetY (GLdouble y)
GLint | GetHeight (void) const
GLint | GetWidth (void) const
void | SetPivot (GLfloat pivotX, GLfloat pivotY)
GLfloat | GetPivotX (void) const
GLfloat | GetPivotY (void) const
GLdouble | GetX (void) const
GLdouble | GetY (void) const
void | SetPivot (const Sprite &obj)
void | SetScale (GLfloat x, GLfloat y)

## Static Public Member Functions

static void | Enable2D (void)
static void | Disable2D (void)

## Detailed Description

Definition at line 11 of file Sprite.h.

## Constructor & Destructor Documentation

Sprite::Sprite | ( | string | filename | ) |

Definition at line 8 of file Sprite.cpp.

Sprite::~Sprite | ( | void |  | ) | `[virtual]`

Definition at line 17 of file Sprite.cpp.

## Member Function Documentation

void Sprite::Disable2D | ( | void |  | ) | `[static]`

Definition at line 53 of file Sprite.cpp.

void Sprite::Enable2D | ( | void |  | ) | `[static]`

Definition at line 23 of file Sprite.cpp.

GLint Sprite::GetAngle | ( | void |  | ) | const`[inline]`

Definition at line 24 of file Sprite.h.

GLint Sprite::GetHeight | ( | void |  | ) | const`[inline]`

Definition at line 28 of file Sprite.h.

GLfloat Sprite::GetPivotX | ( | void |  | ) | const`[inline]`

Definition at line 32 of file Sprite.h.

GLfloat Sprite::GetPivotY | ( | void |  | ) | const`[inline]`

Definition at line 33 of file Sprite.h.

GLint Sprite::GetWidth | ( | void |  | ) | const`[inline]`

Definition at line 29 of file Sprite.h.

GLdouble Sprite::GetX | ( | void |  | ) | const`[inline]`

Definition at line 35 of file Sprite.h.

GLdouble Sprite::GetY | ( | void |  | ) | const`[inline]`

Definition at line 36 of file Sprite.h.

void Sprite::Render | ( | void |  | ) | `[virtual]`

Definition at line 190 of file Sprite.cpp.

virtual void Sprite::Rotate | ( | GLint | degrees | ) | `[inline, virtual]`

Definition at line 21 of file Sprite.h.

void Sprite::SetAngle | ( | GLint | angle | ) | `[inline]`

Definition at line 25 of file Sprite.h.

void Sprite::SetPivot | ( | const Sprite & | obj | ) |

Definition at line 133 of file Sprite.cpp.

void Sprite::SetPivot | ( | GLfloat | pivotX,
|  | GLfloat | pivotY
| ) |  |

Definition at line 113 of file Sprite.cpp.

void Sprite::SetScale | ( | GLfloat | x,
|  | GLfloat | y
| ) |  | `[inline]`

Definition at line 46 of file Sprite.h.

void Sprite::SetX | ( | GLdouble | x | ) | `[inline]`

Definition at line 26 of file Sprite.h.

void Sprite::SetY | ( | GLdouble | y | ) | `[inline]`

Definition at line 27 of file Sprite.h.

The documentation for this class was generated from the following files:

- src/libUnuk/Sprite.h
- src/libUnuk/Sprite.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines